Bug 113680 - FILEOPEN XLS Named Ranges in form controls are dropped on open
Summary: FILEOPEN XLS Named Ranges in form controls are dropped on open
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls
Depends on:
Blocks: Form-Controls XLS Cell-Name
  Show dependency treegraph
 
Reported: 2017-11-06 17:06 UTC by Michael Miller
Modified: 2019-04-27 15:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document with broken combo boxes (and a working one). (15.00 KB, application/vnd.ms-excel)
2017-11-06 17:09 UTC, Michael Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Miller 2017-11-06 17:06:39 UTC
Description:
When you open an Excel document containing a Combo Box form control with an Input Range or Cell Link set to a named range, that named range is dropped and the control is broken.

Steps to Reproduce:
1. In Excel, create a document with a combo box form control, a named range for values in the combo box, and a named cell for its target.
2. Set that form control's "Input range" or "Cell link" to a named range/cell (as appropriate).
3. Pick something from the combo box and see that it shows the right items and changes the correct cell.
3. Save the file.
4. Open it in LibreOffice.
5. Observe that the combo box doesn't show the correct range and/or update the correct cell.


I'll provide a sample document assuming I can attach one after creating the bug.

Actual Results:  
If the "Input range" is set to a name, the range disappears and the combo box is empty.

If the "Cell link" is set to a name, the link disappears and the combo box doesn't change the desired cell.

Expected Results:
Combo box still works.


Reproducible: Always


User Profile Reset: No



Additional Info:
I tested with 5.3.6.1, but first reported this issue in OpenOffice.org 2.0.2.


Version: 5.3.6.1
Build ID: 686f202eff87ef707079aeb7f485847613344eb7
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; Layout Engine: new; 
Locale: en-US (en_US); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.102 Safari/537.36 Vivaldi/1.93.955.48
Comment 1 Michael Miller 2017-11-06 17:09:43 UTC
Created attachment 137578 [details]
Sample document with broken combo boxes (and a working one).

Excel document with three combo boxes:

"Broken (Array)" has a named "Input range" which is dropped on open in LibreOffice.

"Broken (Linked Cell)" has a named "Cell link" which is dropped on oen in LibreOffice.

"Works" has the range and cell directly to show what the other two should do.
Comment 2 Buovjaga 2017-11-13 18:08:26 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: d73225119476de1826f648acca9e93bf6797e813
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 12th 2017

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2019-04-26 02:57:34 UTC Comment hidden (obsolete)
Comment 4 Michael Miller 2019-04-27 15:40:57 UTC
Both variations of this bug are still there.

Version: 6.2.3.2 (x64)
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL